//  main: main.less, out: ../style.css

/* ====================================================================================================================================
OBJECTS
======================================================================================================================================*/

// BUTTONS
.o-button {
    position: relative;
    display: inline-block;
    font-size: @button__size;
    font-weight: @font_w__r;
    color: @color__white;
    min-width: 180px;
    height: @button__height;
    line-height: @button__height;
    border: @input__border;
    border-bottom-left-radius: 10px;
    padding-left: 10px;
    padding-right: 30px;
    text-transform: lowercase;
    text-align: left;
    letter-spacing: .8px;
    overflow: hidden;
    z-index: 0;
    .transition-elastic;

    &:after,
    &:before {
        position: absolute;
        content: '';
        display: block;
    }

    &:after {
        width: 100%;
        height: 0%;
        bottom: 0;
        left: 0;
        right: 0;
        background-color: @color__white;
        z-index: -1;
        .transition-elastic;
    }

    &:before {
        top: 50%;
        right: 10px;
        height: 12px;
        width: 12px;
        margin-top: -6px;
        background-image: url('./images/icon-arrow-right.svg');
        background-repeat: no-repeat;
        background-size: auto;
        background-position: center;
    }

    &.white {
        color: @color__primary;
        border-color: @color__white;
        background-color: @color__white;

        &:after {
            background-color: @color__primary;
        }

        &:before {
            background-image: url('./images/icon-arrow-right-blu.svg');
        }
    }

    &.back {
        text-align: right;
        border-bottom-right-radius: 10px;
        border-bottom-left-radius: 0;
        padding-right: 10px;
        padding-left: 30px;

        &:before {
            right: initial;
            left: 10px;
            background-image: url('./images/icon-arrow-left.svg');
        }
    }

    @media @media_landascape, @media_desktop, @media_full {
        &:hover {
            color: @color__primary;

            &:after {
                height: @button__height;
            }

            &:before {
                background-image: url('./images/icon-arrow-right-blu.svg');
            }

            &.white {
                color: @color__white;

                &:before {
                    background-image: url('./images/icon-arrow-right.svg');
                }
            }

            &.back {
                &:before {
                    background-image: url('./images/icon-arrow-left-blu.svg');
                }
            }
        }
    }
}

.edit-link {
    display: block;
    position: fixed;
    bottom: @margin__m;
    left: @margin__m;
    height: @margin__m;
    width: @margin__m;
    line-height: @margin__m;
    text-align: center;
    background-color: @color__white;
    text-transform: uppercase;
    font-weight: @font_w__b;
    font-size: @size__xs;
    .u-border-radius(100%);
    z-index: 999;

    >* {
        color: @color__primary !important;
    }

    @media @media_smartphone {
        display: none;
    }
}

// MISC
.o-background__leftSmall {
    position: relative;
    overflow: hidden;
    z-index: 0;

    &:after {
        content: '';
        display: block;
        position: absolute;
        height: 100%;
        max-height: 700px;
        width: 200px;
        background-image: url('./images/bg_flash-complete.jpg');
        background-repeat: no-repeat;
        background-size: 100% 100%;
        background-position: center;
        left: 0;
        top: 50%;
        bottom: 0;
        opacity: .5;
        z-index: -1;
        .u-transform(translateY(-50%));
    }
}

.o-background__rightSmall {
    position: relative;
    overflow: hidden;
    z-index: 0;

    &:before {
        content: '';
        display: block;
        position: absolute;
        height: 100%;
        max-height: 700px;
        width: 200px;
        background-image: url('./images/bg_flash-complete.jpg');
        background-repeat: no-repeat;
        background-size: 100% 100%;
        background-position: center;
        right: 0;
        top: 50%;
        bottom: 0;
        opacity: .5;
        z-index: -1;
        .u-transform(translateY(-50%));
    }
}

@media @media_smartphone {
    .o-background__leftSmall {
        &:after {
            display: none;
        }
    }

    .o-background__rightSmall {
        &:before {
            display: none;
        }
    }
}

// Form
select {
    .o-button;
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    outline: none;
    border-radius: 0;
    border-bottom-left-radius: 10px;
    background-color: @color__primary;
    background-image: url('./images/icon-arrow-down.svg');
    background-position: center right 10px;
    background-size: auto;
    background-repeat: no-repeat;
    margin-left: 10px;
    &:not(.user-is-tabbing) button:focus,
    &:not(.user-is-tabbing) input:focus,
    &:not(.user-is-tabbing) select:focus,
    &:not(.user-is-tabbing) textarea:focus {
        outline: none;
    }
    &:hover {
        color: white;
    }
    @media @media_smartphone {
        margin-left: 0;
        margin-bottom: 10px;
    }
}